본문 바로가기
Programming/Backend

[MAC M1] laravel + valet + php7.3 다운그레이드 방법

by BitSense 2021. 3. 10.
반응형

맥 M1에서 지원하는 PHP 기본 버전은 8.0.3 입니다. 터미널 사용 버전을 다운그레이드 하는 것은 쉬운데, 웹은 여전히 8.0이 사용되고 있었습니다. 웹서버는 valet을 사용하고 있었는데, 생각보다 버전 변경하는 것이 쉽네요. 매뉴얼을 대충 보면 안됩니다. ^^

다운그레이드 설정 전 phpinfo() 상태

※ 아래 내용은 모두 로제타로 실행한 터미널에서 실행해야 합니다. 현재 m1에서는 php 8.0 이상만 지원하는 것으로 보입니다.

% php -v   
PHP 8.0.3 (cli) (built: Mar  4 2021 20:45:17) ( NTS )
Copyright (c) The PHP Group
Zend Engine v4.0.3, Copyright (c) Zend Technologies
    with Zend OPcache v8.0.3, Copyright (c), by Zend Technologies
    
// php 7.3 버전 설치
% brew install php@7.3

// composer 설치
% php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
% php -r "if (hash_file('sha384', 'composer-setup.php') === '756890a4488ce9024fc62c56153228907f1545c228516cbf63f885e036d37e9a59d27d63f46af1d4d07ee0f76181c7d3') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
% php composer-setup.php
% php -r "unlink('composer-setup.php');"
% mv composer.phar /usr/local/bin/composer

// laravel & valet 설치
% composer global require laravel/installer
% composer global require laravel/valet
% valet install

// valet 사용 버전 변경
% valet use php@7.3

// 터미널 버전도 다운그레이드를 하고 싶다면
% brew unlink php
% brew link php@7.3
% php -v
PHP 7.3.27 (cli) (built: Feb 27 2021 18:04:51) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.27, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.3.27, Copyright (c) 1999-2018, by Zend Technologies

다운그레이드 후 phpinfo 상태

반응형

댓글0